POST /signup

Register new user

Authentication

Description

Register a new user account.

Request Body

required

application/json

userobjectrequired
first_namestringrequired
Example: John
last_namestringrequired
Example: Doe
emailstring (email)required
passwordstring (password)required
Example: securepassword123
feature_flagsarray [string]required
User's feature flags (affiliate or merchant capabilities)
Example: ["affiliate"]
localestringenum: en, es, fr
User's preferred locale. Defaults to en if not specified.
Example: en
challengestringrequired
The challenge can be obtained by visiting https://revclic.com/challenge
Example: 0.iftmBJ54pHW8z...1FiUSCktH-GNNAn6tE

Responses

201 User registered successfully
application/json
statusstring
Example: success
messagestring
Example: User registered successfully
422 Validation error
application/json
statusstring
Example: error
messagestring
Example: Registration failed
errorsarray [object]
Example: [{"path":"challenge","message":"Challenge was not verified successfully"},{"path":"email","message":"Email has already been taken"},{"path":"password","message":"Password is too short (minimum is 8 characters)"}]
pathstring
The property path that failed validation
messagestring
The full error message